/* GESTO CENTRALIZADA - PRODUTOS DO CARDAPIO DE NOVEMBRO QUE NO TM CUSTO DE LISTA DE PREOS POR FILIAL*/

SELECT 
  DISTINCT
  FILIAL.CDFILIAL,
  FILIAL.NMFILIAL,
  PRODUTO.CDARVPROD,
  PRODUTO.NMPRODUTO
FROM
  FILIAL,
  PRODUTO,
  (SELECT 
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECESERV
   UNION
   SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECEFILI
   UNION
   SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECEFILI) RECECARDA,
  COMPCARD, 
  CARDADIA
WHERE
  CARDADIA.DTCARDAPIO  >= '01/11/2003'           AND
  CARDADIA.DTCARDAPIO  <= '30/11/2003'           AND
  CARDADIA.CDFILIAL     = COMPCARD.CDFILIAL      AND
  CARDADIA.NRCARDAPIO   = COMPCARD.NRCARDAPIO    AND
  COMPCARD.CDFILAUXPRAT = RECECARDA.CDFILAUXPRAT AND
  COMPCARD.CDPRATO      = RECECARDA.CDPRATO      AND
  COMPCARD.CDFILIAL     = RECECARDA.CDFILIAL     AND
  RECECARDA.CDPRODUTO   = PRODUTO.CDPRODUTO      AND
  CARDADIA.CDFILIAL     = FILIAL.CDFILIAL        AND
  NOT EXISTS
   (SELECT
     CUSTOSUP.CDFILIAL
    FROM
     CUSTOSUP
    WHERE
     CUSTOSUP.CDFILIAL  = RECECARDA.CDFILIAL  AND
     CUSTOSUP.CDPRODUTO = RECECARDA.CDPRODUTO)
/

/* GESTO CENTRALIZADA - PRODUTOS DO CARDAPIO DE NOVEMBRO QUE NO TM CUSTO DE LISTA DE PREOS */

SELECT 
  DISTINCT
  PRODUTO.CDARVPROD,
  PRODUTO.NMPRODUTO
FROM
  FILIAL,
  PRODUTO,
  (SELECT 
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECESERV
   UNION
   SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECEFILI
   UNION
   SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECEFILI) RECECARDA,
  COMPCARD, 
  CARDADIA
WHERE
  CARDADIA.DTCARDAPIO  >= '01/11/2003'           AND
  CARDADIA.DTCARDAPIO  <= '30/11/2003'           AND
  CARDADIA.CDFILIAL     = COMPCARD.CDFILIAL      AND
  CARDADIA.NRCARDAPIO   = COMPCARD.NRCARDAPIO    AND
  COMPCARD.CDFILAUXPRAT = RECECARDA.CDFILAUXPRAT AND
  COMPCARD.CDPRATO      = RECECARDA.CDPRATO      AND
  COMPCARD.CDFILIAL     = RECECARDA.CDFILIAL     AND
  RECECARDA.CDPRODUTO   = PRODUTO.CDPRODUTO      AND
  NOT EXISTS
   (SELECT
     CUSTOSUP.CDFILIAL
    FROM
     CUSTOSUP
    WHERE
     CUSTOSUP.CDFILIAL  = RECECARDA.CDFILIAL  AND
     CUSTOSUP.CDPRODUTO = RECECARDA.CDPRODUTO)
/

/* SUPRIMENTOS - PRODUTOS DO CARDAPIO DE NOVEMBRO QUE NO TM COTAO COM VALIDADE FINAL EM EM OUTUBRO */

SELECT 
  DISTINCT
  REGIAO.CDREGIAO,
  REGIAO.NMREGIAO,
  PRODUTO.CDARVPROD,
  PRODUTO.NMPRODUTO
FROM
  REGIAO,
  FILIAL,
  PRODUTO,
  (SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECESERV

   UNION

   SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECEFILI

   UNION

   SELECT
     CDFILAUXPRAT,
     CDPRATO,
     CDFILIAL,
     CDPRODUTO
   FROM
     RECEFILI) RECECARDA,
  COMPCARD,
  CARDADIA
WHERE
  CARDADIA.CDFILIAL    = FILIAL.CDFILIAL         AND
  CARDADIA.DTCARDAPIO  >= '01/11/2003'           AND
  CARDADIA.DTCARDAPIO  <= '30/11/2003'           AND
  CARDADIA.CDFILIAL     = COMPCARD.CDFILIAL      AND
  CARDADIA.NRCARDAPIO   = COMPCARD.NRCARDAPIO    AND
  COMPCARD.CDFILAUXPRAT = RECECARDA.CDFILAUXPRAT AND
  COMPCARD.CDPRATO      = RECECARDA.CDPRATO      AND
  COMPCARD.CDFILIAL     = RECECARDA.CDFILIAL     AND
  RECECARDA.CDPRODUTO   = PRODUTO.CDPRODUTO      AND
  FILIAL.CDREGIAO       = REGIAO.CDREGIAO        AND
  NOT EXISTS
   (SELECT
     ITEMCOLE.CDPRODUTO
    FROM
     PRODUTO B,
     ITEMCOLE
    WHERE
     ITEMCOLE.DTFINVALITM >= '01/10/2003'    AND
     ITEMCOLE.DTFINVALITM <= '31/10/2003'    AND
     ITEMCOLE.CDREGIAO     = FILIAL.CDREGIAO AND 
     ITEMCOLE.CDPRODUTO    = B.CDPRODUTO     AND
     PRODUTO.CDPRODUTO     = B.CDPRODESTO) 
/